<?xml version="1.0"?>
<!--
** Module   : meta_templates.tpl
** Abstract : AST templates used metaschema XML export files
**
** Copyright (c) 2013, Golden Code Development Corporation.
** ALL RIGHTS RESERVED. Use is subject to license terms.
**
**           Golden Code Development Corporation
**                      CONFIDENTIAL
**
** _#_ _I_ __Date__ ________________________________Description__________________________________
** 001 ECF 20130515 Created initial version.
-->

<templates>

  <!-- metaschema DTD node -->
  <ast-root name="meta_dtd_node" terse="true" ast_class="com.goldencode.p2j.xml.XmlAst" >
    <ast id="0" type="DOCUMENT_TYPE_NODE" text="metaschema">
      <ast id="0" type="SYSTEM_ID" text="metaschema-1.0.dtd" />
    </ast>
  </ast-root>
  
  <!-- metaschema root element -->
  <ast-root name="meta_root" terse="true" ast_class="com.goldencode.p2j.xml.XmlAst" >
    <ast id="0" type="ELEMENT_NODE" text="metaschema">
      <ast id="0" type="ATTR_SET" text="">
        <ast id="0" type="ATTRIBUTE_NODE" text="name">
          <ast id="0" type="CONTENT" text="${name}" />
        </ast>
      </ast>
    </ast>
  </ast-root>
  
  <!-- metaschema record element -->
  <ast-root name="meta_record_elem" terse="true" ast_class="com.goldencode.p2j.xml.XmlAst" >
    <ast id="0" type="ELEMENT_NODE" text="record">
      <annotation datatype="java.lang.Boolean" key="peernode" value="true" />
      <annotation datatype="java.lang.String" key="name" value="${name}" />
      <ast id="0" type="ATTR_SET" text="">
        <ast id="0" type="ATTRIBUTE_NODE" text="name">
          <ast id="0" type="CONTENT" text="${name}" />
        </ast>
      </ast>
    </ast>
  </ast-root>
  
  <!-- metaschema field element -->
  <ast-root name="meta_field_elem" terse="true" ast_class="com.goldencode.p2j.xml.XmlAst" >
    <ast id="0" type="ELEMENT_NODE" text="field">
      <annotation datatype="java.lang.Boolean" key="peernode" value="true" />
      <ast id="0" type="ATTR_SET" text="">
        <ast id="0" type="ATTRIBUTE_NODE" text="name">
          <ast id="0" type="CONTENT" text="${name}" />
        </ast>
        <ast id="0" type="ATTRIBUTE_NODE" text="value">
          <ast id="0" type="CONTENT" text="${value}" />
        </ast>
        <ast id="0" type="ATTRIBUTE_NODE" text="type">
          <ast id="0" type="CONTENT" text="${type}" />
        </ast>
      </ast>
    </ast>
  </ast-root>
  
</templates>
